Page MenuHomePhabricator

Upgrade Gerrit to 2.15.8
Closed, ResolvedPublic

Description

This is a security release. This fixes 5 identified security issues in jetty (http) and 2 in bouncy castle.

https://www.gerritcodereview.com/2.15.html#2157

https://www.gerritcodereview.com/2.15.html#2158

Also fixes a security issue in lucene (our index)

Event Timeline

Paladox created this task.Nov 29 2018, 8:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2018, 8:46 PM
Paladox triaged this task as High priority.
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.Nov 29 2018, 8:56 PM

Thanks for the task, @hashar and I planning to pair on this at the RelEng offsite next week.

Definitely, team work exercise. It should be a good introduction to scap / git-fat / archiva.

Paladox renamed this task from Upgrade Gerrit to 2.15.7 to Upgrade Gerrit to 2.15.8.Jan 11 2019, 4:05 AM
Paladox updated the task description. (Show Details)

Note that 2.15.8 is another security release.

2.15.8 fixes 2 large security issues (one of them does not affect us where as the 2nd one depends on if you used multiple authentication providers)

Paladox closed this task as Resolved.Jan 16 2019, 7:42 PM
Paladox assigned this task to thcipriani.
Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".Jan 16 2019, 7:46 PM
Dzahn added a subscriber: Dzahn.

This happened today.

14:09 <+logmsgbot> !log thcipriani@deploy1001 Started deploy [gerrit/gerrit@cec7995]: Gerrit to 2.15.8 on gerrit2001 only
14:09 <+stashbot> Logged the message at https://wikitech.wikimedia.org/wiki/Server_Admin_Log
14:09 <+logmsgbot> !log thcipriani@deploy1001 Finished deploy [gerrit/gerrit@cec7995]: Gerrit to 2.15.8 on gerrit2001 only (duration: 00m 11s)
14:09 <+stashbot> Logged the message at https://wikitech.wikimedia.org/wiki/Server_Admin_Log
14:12 <+logmsgbot> !log thcipriani@deploy1001 Started deploy [gerrit/gerrit@cec7995]: Gerrit to 2.15.8 on cobalt
14:12 <+stashbot> Logged the message at https://wikitech.wikimedia.org/wiki/Server_Admin_Log
14:12 <+logmsgbot> !log thcipriani@deploy1001 Finished deploy [gerrit/gerrit@cec7995]: Gerrit to 2.15.8 on cobalt (duration: 00m 10s)